Bug 180857 - SA18794 GnuTLS libtasn1 DER Decoding Denial of Service Vulnerabilities
SA18794 GnuTLS libtasn1 DER Decoding Denial of Service Vulnerabilities
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnutls (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-10 05:25 EST by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 06:42:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2006-02-10 05:25:25 EST
"Evgeny Legerov has reported some vulnerabilities in GnuTLS libtasn1, which
potentially can be exploited by malicious people to cause a DoS (Denial of Service).

The vulnerabilities are caused due to errors within the DER decoder in libtasn1.
This can be exploited to crash an application that uses the library via
specially-crafted input.

The vulnerabilities have been reported in libtasn1 prior to 0.2.18 and in GnuTLS
prior to 1.2.10."
Comment 1 Tomas Mraz 2006-02-13 06:42:20 EST
Fixed in both FC-4 updates and FC-5-devel packages.

Note You need to log in before you can comment on or make changes to this bug.